# 虚拟试穿

**方法**: `POST`
**路径**: `/kling/v1/images/kolors-virtual-try-on`

官方文档：<https://docs.qingque.cn/d/home/eZQClW07IFEuX1csc-VejdY2M#section=h.kz5geyrjtazf>

## 请求参数

### Header 参数

```text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}
```

### Body 参数 application/json

```text
kolors-virtual-try-on-v1 、kolors-virtual-try-on-v1-5
model_name
string
必需
human_image
string
人像图地址
必需
cloth_image
string
衣服图片地址
必需
示例
{
"model_name"
:
"string"
,
"human_image"
:
"string"
,
"cloth_image"
:
"string"
}
```

## 请求示例代码

### Shell

```bash
curl --location --request POST '/kling/v1/images/kolors-virtual-try-on' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model_name": "string",
    "human_image": "string",
    "cloth_image": "string"
}'
```

## 返回响应

### 🟢 200 成功

**内容类型**: `application/json`

#### 响应结构

```text
object
```

#### 示例

```json
{
    "code": 0,
    "message": "SUCCEED",
    "request_id": "CmJ8DGePZioAAAAAAFIvOQ",
    "data": {
        "task_id": "CmJ8DGePZioAAAAAAFIvOQ",
        "task_status": "submitted",
        "created_at": 1737628288136,
        "updated_at": 1737628288136
    }
}
```
